summaryrefslogtreecommitdiff
path: root/intl
diff options
context:
space:
mode:
authorRoland McGrath <roland@gnu.org>2005-04-06 02:18:44 +0000
committerRoland McGrath <roland@gnu.org>2005-04-06 02:18:44 +0000
commit5cc59727ee02c50426630274ee5a9de99f329ef8 (patch)
treeb266638aff19b79e82cbcfd12a9e81bd69c6ba04 /intl
parent6111babeadcae2e48b97c2bf0a110d97b1576abd (diff)
[BZ #592, BZ #821, BZ #822, BZ #825]
* intl/tst-codeset.sh: Use mkdir -p. Put msgfmt output in temporary file and mv it into place. * intl/tst-gettext3.sh: Likewise. * Makefile (glibc-%.tar rule): Use make -q to ensure configure scripts are up to date in srcdir. Touch all configure scripts after export. [BZ #592] [BZ #825] [BZ #825] [BZ #592] [BZ #592] [BZ #592] [BZ #592] [BZ #822] [BZ #821] [BZ #821] [BZ #821] [BZ #821] [BZ #821] [BZ #821] [BZ #821] [BZ #821] [BZ #821] [BZ #821] [BZ #821]
Diffstat (limited to 'intl')
-rw-r--r--intl/tst-codeset.sh9
-rw-r--r--intl/tst-gettext3.sh7
2 files changed, 7 insertions, 9 deletions
diff --git a/intl/tst-codeset.sh b/intl/tst-codeset.sh
index 3d9b9559b7..8b052168b2 100644
--- a/intl/tst-codeset.sh
+++ b/intl/tst-codeset.sh
@@ -1,6 +1,6 @@
#! /bin/sh
# Test of bind_textdomain_codeset.
-# Copyright (C) 2001, 2002 Free Software Foundation, Inc.
+# Copyright (C) 2001, 2002, 2005 Free Software Foundation, Inc.
# This file is part of the GNU C Library.
#
@@ -26,12 +26,11 @@ LC_ALL=C
export LC_ALL
# Generate the test data.
-test -d ${objpfx}domaindir || mkdir ${objpfx}domaindir
+msgfmt -o ${objpfx}codeset.mo.$$ tstcodeset.po || exit
# Create the domain directories.
-test -d ${objpfx}domaindir/de_DE || mkdir ${objpfx}domaindir/de_DE
-test -d ${objpfx}domaindir/de_DE/LC_MESSAGES || mkdir ${objpfx}domaindir/de_DE/LC_MESSAGES
+mkdir -p ${objpfx}domaindir/de_DE/LC_MESSAGES
# Populate them.
-msgfmt -o ${objpfx}domaindir/de_DE/LC_MESSAGES/codeset.mo tstcodeset.po
+mv -f ${objpfx}codeset.mo.$$ ${objpfx}domaindir/de_DE/LC_MESSAGES/codeset.mo
GCONV_PATH=${common_objpfx}iconvdata
export GCONV_PATH
diff --git a/intl/tst-gettext3.sh b/intl/tst-gettext3.sh
index 7bd977cf2d..185576886e 100644
--- a/intl/tst-gettext3.sh
+++ b/intl/tst-gettext3.sh
@@ -27,12 +27,11 @@ LC_ALL=C
export LC_ALL
# Generate the test data.
-test -d ${objpfx}domaindir || mkdir ${objpfx}domaindir
+msgfmt -o ${objpfx}codeset.mo.$$ tstcodeset.po || exit
# Create the domain directories.
-test -d ${objpfx}domaindir/de_DE || mkdir ${objpfx}domaindir/de_DE
-test -d ${objpfx}domaindir/de_DE/LC_MESSAGES || mkdir ${objpfx}domaindir/de_DE/LC_MESSAGES
+mkdir -p ${objpfx}domaindir/de_DE/LC_MESSAGES
# Populate them.
-msgfmt -o ${objpfx}domaindir/de_DE/LC_MESSAGES/codeset.mo tstcodeset.po
+mv -f ${objpfx}codeset.mo.$$ ${objpfx}domaindir/de_DE/LC_MESSAGES/codeset.mo
GCONV_PATH=${common_objpfx}iconvdata
export GCONV_PATH